﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>WOFF test</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="wofftest.css"/>
    <script type="text/javascript" src="wofftest.js"></script>
    
    <style type="text/css">
      @font-face {
        font-family: WebFont;
        src: url('Tharujamaanu-Light.woff2') format('woff2'),
             url('Tharujamaanu-Light.woff') format('woff');        
      }    
    </style>
    <script type="text/javascript">
      /* Generated based on features present in font */
      var otf = Array(
        Array("aalt", "Access All Alternates", false),
        Array("calt", "Contextual Alternates", true),
        Array("kern", "Kerning", true),
        Array("locl", "Localized Forms", true),
        Array("mark", "Mark Positioning", true),
        Array("salt", "Stylistic Alternates", false),
        Array("ss01", "Stylistic Set 1", false),
        Array("sups", "Superscript", false)
);
      var fctrial = false;
      var symbolfont = false;
	    var colorfont = false;
    </script>
  </head>
  <body>
    <div id="container">
      <div id="header">
        <h1>Web Font "Tharujamaanu Light"</h1>
        <hr />
      </div>
      <div id="errors">
        <fieldset>
          <legend>Messages</legend>
          <ul id="errorlist">
            <li id="nojserror"><noscript><div style="display: inline">This test page requires JavaScript to be enabled.</div></noscript></li>
          </ul>
        </fieldset>
      </div>
      <div>
        <fieldset id="inputfieldset">
          <legend>Input</legend>
          <div id="toolbar">
            Size: 
            <select id="fontsize" onchange="UpdateFontSize(this);">
              <option value="4">4 pt</option>
              <option value="6">6 pt</option>
              <option value="8">8 pt</option>
              <option value="10">10 pt</option>
              <option value="12">12 pt</option>
              <option value="14">14 pt</option>
              <option value="16">16 pt</option>
              <option value="18">18 pt</option>
              <option value="20">20 pt</option>
              <option value="24">24 pt</option>
              <option value="28">28 pt</option>
              <option value="32" selected="selected">32 pt</option>
              <option value="36">36 pt</option>
              <option value="42">42 pt</option>
              <option value="48">48 pt</option>
              <option value="64">64 pt</option>
              <option value="72">72 pt</option>
              <option value="96">96 pt</option>
            </select>
            QuickPick: 
            <select id="previewtext" onchange="UpdatePreviewQuickPick(this);">
              <option value="0">FontCreator Preview Text</option>
              <option value="1">Alphabet + Numbers</option>
              <option value="2">Lorum Ipsum</option>
            </select>
            BG: # 
            <input id="colorbg" type="text" maxlength="6" onkeyup="UpdateFontColorBG(this);" value="FFFFFF" />
            FG: # 
            <input id="colorfg" type="text" maxlength="6" onkeyup="UpdateFontColorFG(this);" value="000000" />
            Language: 
            <input id="language" type="text" maxlength="6" onkeyup="UpdateLanguage(this);" value="en" />
            Direction: 
            <select id="direction" onchange="UpdateDirection(this);">
              <option value="ltr" selected="selected">LTR</option>
              <option value="rtl">RTL</option>
            </select>
          </div>
          <textarea id="input" rows="20" cols="100" onkeyup="UpdatePreviewText(this);">ABCDEFGHIJKLMNOPQRSTUVWXYZ
Ligatures: f&#8203;f&#8203;i => ffi f&#8203;i => fi f&#8203;l => fl
Fractions :  1/2 1/4  132/142</textarea>
        </fieldset>
        <fieldset id="otfeaturesfieldset">
          <legend>OpenType Features</legend>
            Alternate: 
            <select id="alternate" onchange="UpdateAlternate(this);">
              <option value="1" selected="selected">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
              <option value="5">5</option>
              <option value="6">6</option>
              <option value="7">7</option>
              <option value="8">8</option>
              <option value="9">9</option>
              <option value="10">10</option>
            </select>
          <div id="otfeatures"></div><hr/>
          <h5>Note: Not all web browsers support all OpenType Features and only features present in the font are shown.</h5>
        </fieldset>
      </div>
      <div style="clear: both">
        <fieldset >
          <legend>Preview</legend>
          <div id="preview" lang="en"></div>
        </fieldset>
      </div>      
      <div>
        <fieldset>
          <legend>Troubleshooting</legend>
          <ul>
            <li><a href="http://forum.high-logic.com/viewtopic.php?f=4&amp;t=4309" target="_blank">Font not displaying?</a></li>
            <li><a href="http://forum.high-logic.com/viewtopic.php?f=4&amp;t=4310" target="_blank">OpenType features not working?</a></li>
            <li><a href="http://www.webfonts.com" target="_blank">Want to learn more about webfonts ?</a></li>
          </ul>          
        </fieldset>
      </div>
      <div>
        <fieldset>
          <legend>About</legend>
          Page generated on 12/02/2020 23:37:09 by <a href="http://www.high-logic.com/font-editor/fontcreator.html" target="_blank">High-Logic FontCreator 12.0</a><br/>
        </fieldset>
      </div>
    </div>
    <script type="text/javascript">Initialize();</script>    
  </body>
</html>
